Buscar compras por email del comprador
curl --request GET \
--url https://api.fint.app/api/v1/event/purchase/email/{email} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.fint.app/api/v1/event/purchase/email/{email}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.fint.app/api/v1/event/purchase/email/{email}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"reference": "<string>",
"buyerFirstName": "<string>",
"buyerLastName": "<string>",
"buyerDocument": "<string>",
"buyerEmail": "<string>",
"buyerPhone": "<string>",
"totalAmount": "<string>",
"createdAt": "<string>",
"pdfUrl": "<string>",
"organizationId": 123,
"eventPageId": 123,
"eventPage": {
"id": 123,
"name": "<string>",
"reference": "<string>"
},
"attendees": [
{
"id": 123,
"firstName": "<string>",
"lastName": "<string>",
"document": "<string>",
"email": "<string>",
"status": "<string>",
"amount": "<string>",
"reference": "<string>",
"itemName": "<string>",
"qrUrl": "<string>",
"generateQr": true,
"pdfUrl": "<string>",
"askInformation": true,
"isAdditional": true
}
]
}
]Eventos
Buscar compras por email del comprador
Buscar todas las compras donde el comprador tiene el email especificado. Incluye la lista de asistentes/tickets para cada compra.
GET
/
event
/
purchase
/
email
/
{email}
Buscar compras por email del comprador
Authorizations
Path Parameters
Email del comprador
Example:
"buyer@example.com"
Response
200 - application/json
Compras encontradas exitosamente
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I